# pystac.serialization.common_properties

pystac.serialization.common_properties.merge_common_properties(item_dict: dict[str, Any], collection_cache: CollectionCache | None = None, json_href: str | None = None) → bool

  Merges Collection properties into an Item.

  Note: This is only applicable to reading old STAC versions (pre 1.0.0-beta.1).

  Parameters:

    - item_dict – JSON dict of the Item which properties should be merged into.

    - collection_cache – Optional CollectionCache that will be used to read and write cached collections.

    - json_href – The HREF of the file that this JSON comes from. Used to resolve relative paths.

  Returns:

    True if Collection properties have been merged, otherwise False.

  Return type:

    bool

previous

pystac.serialization

next

pystac.serialization.identify